Skip to content
WP Engine Documentation

Create an archive from a backup for a WordPress installation

POST
/installs/{install_id}/archives

Creates a downloadable zip archive from a backup point. Archive will contain full backup data.

install_id
required
string format: uuid

ID of install

Properties
  • backup_id - required - ID of the backup to create an archive from
  • notification_emails - required - An Array of email address(es) that will receive an email once the archive is created
object
backup_id
required

ID of the backup to create an archive from

string format: uuid
Example
e41fa98f-ea80-4654-b229-a9b765d0863a
notification_emails
required

The email address(es) that will receive an email once the archive is created

Array<string>
Example
[
"user@example.com"
]

Accepted

Bad Request

object
message
required

A message regarding the error that occurred on the server

string
Example
Invalid Site: Name cannot be empty.
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
Example
Site
field
required

(Optional) The specific field associated with the error

string
Example
name
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
Example
invalid_value
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
Example
too_long
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
Name is too long (maximum is 40 characters)

Authentication Error

object
message
required

A message regarding the error that occurred on the server

string
Example
Bad Credentials
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not authorized

object
message
required

A message regarding the error that occurred on the server

string
Example
You don't have permission to perform that action
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not found

object
message
required

A message regarding the error that occurred on the server

string
Example
Not Found
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Too many requests

Internal Server Error

object
message
required

A message regarding the error that occurred on the server

string
Example
An unexpected error occurred, please try again in a few minutes

An invalid response was received from an upstream server

Service unavailable